import { Feature } from './Feature';
interface TitleOption {
    label: string;
    value: string;
}
interface GuestTitleFieldOptions {
    titleOptions?: TitleOption[];
}
declare class GuestTitleFieldFeature extends Feature<GuestTitleFieldOptions> {
    private titleOptions;
    constructor();
    getTitleOptions(): {
        label: string;
        value: string;
    }[];
    protected onLoad(options: GuestTitleFieldOptions): void;
    private setDefaultTitleOptions;
    private isValidTitleOption;
}
declare const _default: GuestTitleFieldFeature;
export default _default;
